import timeit

setup_code = """import random
n = 1000
def random_list():
    res = []
    for i in range(n):
        res.append(random.randint(0, n*200))
    return res
rand_list = random_list()
rand_set = set(rand_list)"""

reps = 1000000

t = timeit.Timer(stmt='5 in rand_list', setup=setup_code)
s = t.timeit(number=reps) / reps
print("Searching in a list: ", s * 1e9, "nanoseconds average")

t = timeit.Timer(stmt='5 in rand_set', setup=setup_code)
s = t.timeit(number=reps) / reps
print("Searching in a set:  ", s * 1e9, "nanoseconds average")
